Package org.apache.sling.cms.core.internal.bindings

## Class SightlyBindings

- java.lang.Object
- - org.apache.sling.cms.core.internal.bindings.SightlyBindings

All Implemented Interfaces:
  `org.apache.sling.scripting.api.BindingsValuesProvider`

    public class SightlyBindings
    extends Object
    implements org.apache.sling.scripting.api.BindingsValuesProvider

### Field Summary

### Fields inherited from interface org.apache.sling.scripting.api.BindingsValuesProvider

`CONTEXT, DEFAULT_CONTEXT`

### Constructor Summary

Constructors
`SightlyBindings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBindings​(Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SightlyBindings

    public SightlyBindings()

### Method Detail

#### addBindings

    public void addBindings​(Bindings bindings)

Specified by:
  `addBindings` in interface `org.apache.sling.scripting.api.BindingsValuesProvider`